openapi: 3.0.2
info:
  title: DistributorAdmin connect.eyefi.com.au OpenAPI v1.0.11
  version: 1.0.11
  termsOfService: https://connect.eyefi.com.au/terms_and_conditions
  description: 'DistributorAdmin connect.eyefi.com.au OpenAPI v1.0.11

    This is the schema allowing the above user to access APIs located at https://connect.eyefi.com.au/'
paths:
  /api/1/customers/:
    get:
      operationId: listCustomers
      description: 'return paginated array of results.

        Default ordering: name,abn,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: customer_abn
        required: false
        in: query
        description: customer_abn
        schema:
          type: string
      - name: seller_uuid
        required: false
        in: query
        description: seller_uuid
        schema:
          type: string
      - name: seller_abn
        required: false
        in: query
        description: seller_abn
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: name,abn'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: name,abn'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/CustomerForDistributor'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Customer Too Many Requests
      tags:
      - customers
  /api/1/customers/{customer_uuid}/:
    get:
      operationId: retrieveCustomer
      description: ''
      parameters:
      - name: customer_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerForDistributor'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Customer Unprocessable Entity
        '404':
          description: Customer Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Customer (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Customer Too Many Requests
      tags:
      - customers
  /api/1/products/:
    get:
      operationId: listProducts
      description: 'return paginated array of results.

        Default ordering: name,product_code'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: name
        required: false
        in: query
        description: name
        schema:
          type: string
      - name: name__contains
        required: false
        in: query
        description: name__contains
        schema:
          type: string
      - name: product_code
        required: false
        in: query
        description: product_code
        schema:
          type: string
      - name: product_code__contains
        required: false
        in: query
        description: product_code__contains
        schema:
          type: string
      - name: product_code__in
        required: false
        in: query
        description: product_code__in
        schema:
          type: string
      - name: number_of_months
        required: false
        in: query
        description: number_of_months
        schema:
          type: string
      - name: storage_quota_mb__isnull
        required: false
        in: query
        description: storage_quota_mb__isnull
        schema:
          type: string
      - name: storage_quota_mb__gt
        required: false
        in: query
        description: storage_quota_mb__gt
        schema:
          type: string
      - name: storage_quota_mb__gte
        required: false
        in: query
        description: storage_quota_mb__gte
        schema:
          type: string
      - name: storage_quota_mb__lt
        required: false
        in: query
        description: storage_quota_mb__lt
        schema:
          type: string
      - name: storage_quota_mb__lte
        required: false
        in: query
        description: storage_quota_mb__lte
        schema:
          type: string
      - name: is_device_subscription
        required: false
        in: query
        description: is_device_subscription
        schema:
          type: string
      - name: product_uuid
        required: false
        in: query
        description: product_uuid
        schema:
          type: string
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: has_storage_size_mb
        required: false
        in: query
        description: has_storage_size_mb
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: product_code,name'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: product_code,name,number_of_months,is_device_subscription,storage_quota_mb'
        schema:
          type: string
      - name: has_subscriptions_count
        required: false
        in: query
        description: 'true: `subscriptions_count > 0` ; false: `subscriptions_count
          == 0`'
        schema:
          type: string
      - name: has_ended_subscriptions_count
        required: false
        in: query
        description: 'true: `ended_subscriptions_count > 0` ; false: `ended_subscriptions_count
          == 0`'
        schema:
          type: string
      - name: has_seller_assigned_subscriptions_count
        required: false
        in: query
        description: 'true: `seller_assigned_subscriptions_count > 0` ; false: `seller_assigned_subscriptions_count
          == 0`'
        schema:
          type: string
      - name: has_seller_unassigned_subscriptions_count
        required: false
        in: query
        description: 'true: `seller_unassigned_subscriptions_count > 0` ; false: `seller_unassigned_subscriptions_count
          == 0`'
        schema:
          type: string
      - name: has_customer_assigned_subscriptions_count
        required: false
        in: query
        description: 'true: `customer_assigned_subscriptions_count > 0` ; false: `customer_assigned_subscriptions_count
          == 0`'
        schema:
          type: string
      - name: has_customer_unassigned_subscriptions_count
        required: false
        in: query
        description: 'true: `customer_unassigned_subscriptions_count > 0` ; false:
          `customer_unassigned_subscriptions_count == 0`'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductForView'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Product Too Many Requests
      tags:
      - products
  /api/1/products/{product_code}/:
    get:
      operationId: retrieveProduct
      description: ''
      parameters:
      - name: product_code
        in: path
        required: true
        description: A unique value identifying this product.
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductForView'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Product Unprocessable Entity
        '404':
          description: Product Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Product (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Product Too Many Requests
      tags:
      - products
  /api/1/sellers/:
    get:
      operationId: listSellers
      description: 'return paginated array of results.

        Default ordering: name,abn,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: name
        required: false
        in: query
        description: name
        schema:
          type: string
      - name: name__contains
        required: false
        in: query
        description: name__contains
        schema:
          type: string
      - name: seller_uuid
        required: false
        in: query
        description: seller_uuid
        schema:
          type: string
      - name: seller_abn
        required: false
        in: query
        description: seller_abn
        schema:
          type: string
      - name: distributor_uuid
        required: false
        in: query
        description: distributor_uuid
        schema:
          type: string
      - name: distributor_abn
        required: false
        in: query
        description: distributor_abn
        schema:
          type: string
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: customer_abn
        required: false
        in: query
        description: customer_abn
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: abn,name'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: abn,name'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/SellerForAdmin'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Seller Too Many Requests
      tags:
      - sellers
  /api/1/sellers/{seller_uuid}/:
    get:
      operationId: retrieveSeller
      description: ''
      parameters:
      - name: seller_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SellerForAdmin'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Seller Unprocessable Entity
        '404':
          description: Seller Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Seller (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Seller Too Many Requests
      tags:
      - sellers
  /api/1/sellers/{seller_uuid}/get_summary_subscriptions_not_activated/:
    get:
      operationId: getSummarySubscriptionsNotActivatedSeller
      description: Returns a Summary Report of `Not Billable Subscriptions` (Subscriptions
        which are not assigned to Customer)
      parameters:
      - name: seller_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SummaryReport'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Seller Unprocessable Entity
        '404':
          description: Seller Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Seller (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Seller Too Many Requests
      tags:
      - sellers
  /api/1/subscriptions/:
    get:
      operationId: listSubscriptions
      description: 'return paginated array of results.

        Default ordering: -customer_assigned_timestamp,-end_timestamp,-ended_by_timestamp'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: seller__isnull
        required: false
        in: query
        description: seller__isnull
        schema:
          type: string
      - name: customer__isnull
        required: false
        in: query
        description: customer__isnull
        schema:
          type: string
      - name: subscription_key
        required: false
        in: query
        description: subscription_key
        schema:
          type: string
      - name: customer_assigned_timestamp__isnull
        required: false
        in: query
        description: customer_assigned_timestamp__isnull
        schema:
          type: string
      - name: customer_assigned_timestamp__gte
        required: false
        in: query
        description: customer_assigned_timestamp__gte
        schema:
          type: string
      - name: customer_assigned_timestamp__gt
        required: false
        in: query
        description: customer_assigned_timestamp__gt
        schema:
          type: string
      - name: customer_assigned_timestamp__lte
        required: false
        in: query
        description: customer_assigned_timestamp__lte
        schema:
          type: string
      - name: customer_assigned_timestamp__lt
        required: false
        in: query
        description: customer_assigned_timestamp__lt
        schema:
          type: string
      - name: ended_by_timestamp__isnull
        required: false
        in: query
        description: ended_by_timestamp__isnull
        schema:
          type: string
      - name: ended_by_timestamp__gte
        required: false
        in: query
        description: ended_by_timestamp__gte
        schema:
          type: string
      - name: ended_by_timestamp__gt
        required: false
        in: query
        description: ended_by_timestamp__gt
        schema:
          type: string
      - name: ended_by_timestamp__lte
        required: false
        in: query
        description: ended_by_timestamp__lte
        schema:
          type: string
      - name: ended_by_timestamp__lt
        required: false
        in: query
        description: ended_by_timestamp__lt
        schema:
          type: string
      - name: end_timestamp__isnull
        required: false
        in: query
        description: end_timestamp__isnull
        schema:
          type: string
      - name: end_timestamp__gte
        required: false
        in: query
        description: end_timestamp__gte
        schema:
          type: string
      - name: end_timestamp__gt
        required: false
        in: query
        description: end_timestamp__gt
        schema:
          type: string
      - name: end_timestamp__lte
        required: false
        in: query
        description: end_timestamp__lte
        schema:
          type: string
      - name: end_timestamp__lt
        required: false
        in: query
        description: end_timestamp__lt
        schema:
          type: string
      - name: distributor_uuid
        required: false
        in: query
        description: distributor_uuid
        schema:
          type: string
      - name: seller_uuid__in
        required: false
        in: query
        description: 'seller_uuid list, comma separated. e.g.: 1ac841f4-7a87-11ed-b120-0242ac120002,1ae561e4-7a87-11ed-b120-0242ac120002'
        schema:
          type: string
      - name: seller_uuid
        required: false
        in: query
        description: seller_uuid
        schema:
          type: string
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: product_name
        required: false
        in: query
        description: product_name
        schema:
          type: string
      - name: product_code__in
        required: false
        in: query
        description: 'product_code list, comma separated. e.g.: something-B-monthly,other-thing-A-annual'
        schema:
          type: string
      - name: product_code
        required: false
        in: query
        description: product_code
        schema:
          type: string
      - name: product_is_device_subscription
        required: false
        in: query
        description: product_is_device_subscription
        schema:
          type: string
      - name: product_has_storage_size_mb
        required: false
        in: query
        description: product_has_storage_size_mb
        schema:
          type: string
      - name: product_number_of_months
        required: false
        in: query
        description: product_number_of_months
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: product_code,name'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: product_code,name,number_of_months,is_device_subscription,storage_quota_mb,customer_assigned_timestamp,end_timestamp,ended_by_timestamp'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/SubscriptionForDistributor'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Subscription Too Many Requests
      tags:
      - subscriptions
  /api/1/subscriptions/{subscription_key}/:
    get:
      operationId: retrieveSubscription
      description: ''
      parameters:
      - name: subscription_key
        in: path
        required: true
        description: A unique value identifying this subscription.
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionForDistributor'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Subscription Unprocessable Entity
        '404':
          description: Subscription Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Subscription (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Subscription Too Many Requests
      tags:
      - subscriptions
  /api/1/distributor-profiles/:
    get:
      operationId: listUserDistributorProfiles
      description: 'return paginated array of results.

        Default ordering: user,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: distributor_uuid
        required: false
        in: query
        description: distributor_uuid
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of field: user__email'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available field: user__email'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserDistributorProfileForDistributorAdmin'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Distributor Profile Too Many Requests
      tags:
      - distributor-profiles
  /api/1/distributor-profiles/{user__username}/:
    get:
      operationId: retrieveUserDistributorProfile
      description: ''
      parameters:
      - name: user__username
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDistributorProfileForDistributorAdmin'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Distributor Profile Unprocessable Entity
        '404':
          description: User Distributor Profile Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User Distributor Profile (fields/parameters to messages) Bad
            Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Distributor Profile Too Many Requests
      tags:
      - distributor-profiles
    patch:
      operationId: partialUpdateUserDistributorProfile
      description: ''
      parameters:
      - name: user__username
        in: path
        required: true
        description: ''
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserDistributorProfileForDistributorAdmin'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserDistributorProfileForDistributorAdmin'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserDistributorProfileForDistributorAdmin'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDistributorProfileForDistributorAdmin'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Distributor Profile Unprocessable Entity
        '404':
          description: User Distributor Profile Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User Distributor Profile (fields/parameters to messages) Bad
            Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Distributor Profile Too Many Requests
      tags:
      - distributor-profiles
  /api/1/distributor-users/:
    get:
      operationId: listUsers
      description: return paginated array of results.
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: username
        required: false
        in: query
        description: username
        schema:
          type: string
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: is_customer_admin
        required: false
        in: query
        description: is_customer_admin
        schema:
          type: string
      - name: is_superuser
        required: false
        in: query
        description: is_superuser
        schema:
          type: string
      - name: is_active
        required: false
        in: query
        description: is_active
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: email,first_name,last_name'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: email,first_name,last_name,is_active,is_superuser,distributor_profile__is_distributor_admin'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserForDistributorAdmin'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - distributor-users
    post:
      operationId: createUser
      description: ''
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserForDistributorAdminCreate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserForDistributorAdminCreate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserForDistributorAdminCreate'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserForDistributorAdminCreate'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - distributor-users
  /api/1/distributor-users/{username}/:
    get:
      operationId: retrieveUser
      description: ''
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserForDistributorAdmin'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - distributor-users
    patch:
      operationId: partialUpdateUser
      description: ''
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserForDistributorAdmin'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserForDistributorAdmin'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserForDistributorAdmin'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserForDistributorAdmin'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - distributor-users
  /api/1/distributors/:
    get:
      operationId: listDistributors
      description: 'return paginated array of results.

        Default ordering: name,abn,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: name
        required: false
        in: query
        description: name
        schema:
          type: string
      - name: name__contains
        required: false
        in: query
        description: name__contains
        schema:
          type: string
      - name: distributor_uuid
        required: false
        in: query
        description: distributor_uuid
        schema:
          type: string
      - name: distributor_abn
        required: false
        in: query
        description: distributor_abn
        schema:
          type: string
      - name: seller_uuid
        required: false
        in: query
        description: seller_uuid
        schema:
          type: string
      - name: seller_abn
        required: false
        in: query
        description: seller_abn
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: abn,name'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: abn,name'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/DistributorForDistributorAdmin'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/:
    get:
      operationId: retrieveDistributor
      description: ''
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DistributorForDistributorAdmin'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '404':
          description: Distributor Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Distributor (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
    patch:
      operationId: partialUpdateDistributor
      description: ''
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DistributorForDistributorAdmin'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DistributorForDistributorAdmin'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DistributorForDistributorAdmin'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DistributorForDistributorAdmin'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '404':
          description: Distributor Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Distributor (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/available_subscriptions_reports/:
    get:
      operationId: availableSubscriptionsReportsDistributor
      description: Returns a list of `available_reports` `year/month/filename` to
        be used with `report_subscriptions`
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DistributorActionAvailableReportSubscriptions'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '404':
          description: Distributor Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Distributor (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/get_subscriptions_report/:
    get:
      operationId: getSubscriptionsReportDistributor
      description: Returns the subscriptions CSV for query parameters `year` `month`
        if supplied, otherwise "this month" in progress.
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DistributorForDistributorAdmin'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '404':
          description: Distributor Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Distributor (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/get_summary_device_storage_for/:
    get:
      operationId: getSummaryDeviceStorageForDistributor
      description: Returns a Summary Report of Device Storage
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SummaryReport'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '404':
          description: Distributor Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Distributor (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/get_summary_subscriptions_active_for/:
    get:
      operationId: getSummarySubscriptionsActiveForDistributor
      description: Returns a Summary Report of `Billable Subscriptions` (Distributor
        Subscriptions which are assigned to Customer)
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SummaryReport'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '404':
          description: Distributor Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Distributor (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/get_summary_subscriptions_not_activated/:
    get:
      operationId: getSummarySubscriptionsNotActivatedDistributor
      description: Returns a Summary Report of `Not Billable Subscriptions` (Distributor
        Subscriptions which are not assigned to Customer)
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SummaryReport'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '404':
          description: Distributor Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Distributor (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/get_summary_users_for/:
    get:
      operationId: getSummaryUsersForDistributor
      description: Returns a Summary Report of Distributor Users
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SummaryReport'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '404':
          description: Distributor Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Distributor (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/my-api-data/:
    get:
      operationId: listMyUserApiDatas
      description: 'return paginated array of results.

        Default ordering: user,key,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: api_data_uuid
        required: false
        in: query
        description: api_data_uuid
        schema:
          type: string
      - name: key
        required: false
        in: query
        description: key
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: key,json'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: key,created,modified'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserApiDataForUserSelf'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
    post:
      operationId: createMyUserApiData
      description: ''
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserApiDataForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Api Data Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
  /api/1/my-api-data/{api_data_uuid}/:
    get:
      operationId: retrieveMyUserApiData
      description: ''
      parameters:
      - name: api_data_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserApiDataForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Api Data Unprocessable Entity
        '404':
          description: User Api Data Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
    patch:
      operationId: partialUpdateMyUserApiData
      description: ''
      parameters:
      - name: api_data_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserApiDataForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Api Data Unprocessable Entity
        '404':
          description: User Api Data Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
    delete:
      operationId: destroyMyUserApiData
      description: ''
      parameters:
      - name: api_data_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '204':
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Api Data Unprocessable Entity
        '404':
          description: User Api Data Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
  /api/1/my-user/:
    get:
      operationId: listMyUsers
      description: return paginated array of results.
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: search
        required: false
        in: query
        description: A search term.
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: Which field to use when ordering the results.
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserForUserSelf'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
  /api/1/my-user/{username}/:
    get:
      operationId: retrieveMyUser
      description: ''
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
    patch:
      operationId: partialUpdateMyUser
      description: ''
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserForUserSelf'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserForUserSelf'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserForUserSelf'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
  /api/1/my-user/{username}/change_password/:
    get:
      operationId: changePasswordMyUserGet
      description: Attempt to change user password
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserActionChangePasswordGet'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: changePasswordMyUserGet Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
    patch:
      operationId: changePasswordMyUserPatch
      description: Attempt to change user password
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserActionChangePassword'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserActionChangePassword'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserActionChangePassword'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserActionChangePassword'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: changePasswordMyUserPatch Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
  /api/1/distributors/{distributor_uuid}/assign_subscriptions/:
    post:
      operationId: assignSubscriptionsDistributor
      description: Assign Subscriptions to Seller
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriptionActionDistributorAssignSubscriptions'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/SubscriptionActionDistributorAssignSubscriptions'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SubscriptionActionDistributorAssignSubscriptions'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionActionDistributorAssignSubscriptions'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/create_seller/:
    post:
      operationId: createSellerDistributor
      description: Create Seller (and Seller Admin account)
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SellerForDistributorCreateSeller'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/SellerForDistributorCreateSeller'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SellerForDistributorCreateSeller'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SellerForDistributorCreateSeller'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Seller Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Seller Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/create_subscriptions/:
    post:
      operationId: createSubscriptionsDistributor
      description: Create subscriptions
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriptionActionDistributorCreateSubscriptions'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/SubscriptionActionDistributorCreateSubscriptions'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SubscriptionActionDistributorCreateSubscriptions'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionActionDistributorCreateSubscriptions'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
  /api/1/distributors/{distributor_uuid}/end_subscriptions/:
    post:
      operationId: endSubscriptionsDistributor
      description: End subscriptions (Takes effect at the end of the billing period
        - see `end_timestamp` vs `ended_by_timestamp`)
      parameters:
      - name: distributor_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriptionActionEndSubscriptions'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/SubscriptionActionEndSubscriptions'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SubscriptionActionEndSubscriptions'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionActionEndSubscriptions'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Distributor Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Distributor Too Many Requests
      tags:
      - distributors
components:
  schemas:
    CustomerForDistributor:
      type: object
      properties:
        customer_url:
          type: string
          readOnly: true
        customer_uuid:
          type: string
          format: uuid
          readOnly: true
        abn:
          type: string
          readOnly: true
        contact_email:
          type: string
          format: email
          readOnly: true
        contact_email_addr:
          type: string
          format: email
          readOnly: true
        contact_name:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        timezone:
          enum:
          - Pacific/Midway
          - Pacific/Niue
          - Pacific/Pago_Pago
          - Pacific/Honolulu
          - Pacific/Rarotonga
          - Pacific/Tahiti
          - US/Hawaii
          - Pacific/Marquesas
          - America/Adak
          - Pacific/Gambier
          - America/Anchorage
          - America/Juneau
          - America/Metlakatla
          - America/Nome
          - America/Sitka
          - America/Yakutat
          - Pacific/Pitcairn
          - US/Alaska
          - America/Creston
          - America/Dawson
          - America/Dawson_Creek
          - America/Fort_Nelson
          - America/Hermosillo
          - America/Los_Angeles
          - America/Mazatlan
          - America/Phoenix
          - America/Tijuana
          - America/Vancouver
          - America/Whitehorse
          - Canada/Pacific
          - US/Arizona
          - US/Pacific
          - America/Bahia_Banderas
          - America/Belize
          - America/Boise
          - America/Cambridge_Bay
          - America/Chihuahua
          - America/Ciudad_Juarez
          - America/Costa_Rica
          - America/Denver
          - America/Edmonton
          - America/El_Salvador
          - America/Guatemala
          - America/Inuvik
          - America/Managua
          - America/Merida
          - America/Mexico_City
          - America/Monterrey
          - America/Regina
          - America/Swift_Current
          - America/Tegucigalpa
          - Canada/Mountain
          - Pacific/Easter
          - Pacific/Galapagos
          - US/Mountain
          - America/Atikokan
          - America/Bogota
          - America/Cancun
          - America/Cayman
          - America/Chicago
          - America/Eirunepe
          - America/Guayaquil
          - America/Indiana/Knox
          - America/Indiana/Tell_City
          - America/Jamaica
          - America/Lima
          - America/Matamoros
          - America/Menominee
          - America/North_Dakota/Beulah
          - America/North_Dakota/Center
          - America/North_Dakota/New_Salem
          - America/Ojinaga
          - America/Panama
          - America/Rankin_Inlet
          - America/Resolute
          - America/Rio_Branco
          - America/Winnipeg
          - Canada/Central
          - US/Central
          - America/Anguilla
          - America/Antigua
          - America/Aruba
          - America/Asuncion
          - America/Barbados
          - America/Blanc-Sablon
          - America/Boa_Vista
          - America/Campo_Grande
          - America/Caracas
          - America/Cuiaba
          - America/Curacao
          - America/Detroit
          - America/Dominica
          - America/Grand_Turk
          - America/Grenada
          - America/Guadeloupe
          - America/Guyana
          - America/Havana
          - America/Indiana/Indianapolis
          - America/Indiana/Marengo
          - America/Indiana/Petersburg
          - America/Indiana/Vevay
          - America/Indiana/Vincennes
          - America/Indiana/Winamac
          - America/Iqaluit
          - America/Kentucky/Louisville
          - America/Kentucky/Monticello
          - America/Kralendijk
          - America/La_Paz
          - America/Lower_Princes
          - America/Manaus
          - America/Marigot
          - America/Martinique
          - America/Montserrat
          - America/Nassau
          - America/New_York
          - America/Port-au-Prince
          - America/Port_of_Spain
          - America/Porto_Velho
          - America/Puerto_Rico
          - America/Santiago
          - America/Santo_Domingo
          - America/St_Barthelemy
          - America/St_Kitts
          - America/St_Lucia
          - America/St_Thomas
          - America/St_Vincent
          - America/Toronto
          - America/Tortola
          - Canada/Eastern
          - US/Eastern
          - America/Araguaina
          - America/Argentina/Buenos_Aires
          - America/Argentina/Catamarca
          - America/Argentina/Cordoba
          - America/Argentina/Jujuy
          - America/Argentina/La_Rioja
          - America/Argentina/Mendoza
          - America/Argentina/Rio_Gallegos
          - America/Argentina/Salta
          - America/Argentina/San_Juan
          - America/Argentina/San_Luis
          - America/Argentina/Tucuman
          - America/Argentina/Ushuaia
          - America/Bahia
          - America/Belem
          - America/Cayenne
          - America/Fortaleza
          - America/Glace_Bay
          - America/Goose_Bay
          - America/Halifax
          - America/Maceio
          - America/Moncton
          - America/Montevideo
          - America/Paramaribo
          - America/Punta_Arenas
          - America/Recife
          - America/Santarem
          - America/Sao_Paulo
          - America/Thule
          - Antarctica/Palmer
          - Antarctica/Rothera
          - Atlantic/Bermuda
          - Atlantic/Stanley
          - Canada/Atlantic
          - America/St_Johns
          - Canada/Newfoundland
          - America/Miquelon
          - America/Noronha
          - America/Nuuk
          - Atlantic/South_Georgia
          - Atlantic/Cape_Verde
          - Africa/Abidjan
          - Africa/Accra
          - Africa/Bamako
          - Africa/Banjul
          - Africa/Bissau
          - Africa/Conakry
          - Africa/Dakar
          - Africa/Freetown
          - Africa/Lome
          - Africa/Monrovia
          - Africa/Nouakchott
          - Africa/Ouagadougou
          - Africa/Sao_Tome
          - America/Danmarkshavn
          - America/Scoresbysund
          - Atlantic/Azores
          - Atlantic/Reykjavik
          - Atlantic/St_Helena
          - GMT
          - UTC
          - Africa/Algiers
          - Africa/Bangui
          - Africa/Brazzaville
          - Africa/Casablanca
          - Africa/Douala
          - Africa/El_Aaiun
          - Africa/Kinshasa
          - Africa/Lagos
          - Africa/Libreville
          - Africa/Luanda
          - Africa/Malabo
          - Africa/Ndjamena
          - Africa/Niamey
          - Africa/Porto-Novo
          - Africa/Tunis
          - Atlantic/Canary
          - Atlantic/Faroe
          - Atlantic/Madeira
          - Europe/Dublin
          - Europe/Guernsey
          - Europe/Isle_of_Man
          - Europe/Jersey
          - Europe/Lisbon
          - Europe/London
          - Africa/Blantyre
          - Africa/Bujumbura
          - Africa/Ceuta
          - Africa/Gaborone
          - Africa/Harare
          - Africa/Johannesburg
          - Africa/Juba
          - Africa/Khartoum
          - Africa/Kigali
          - Africa/Lubumbashi
          - Africa/Lusaka
          - Africa/Maputo
          - Africa/Maseru
          - Africa/Mbabane
          - Africa/Tripoli
          - Africa/Windhoek
          - Antarctica/Troll
          - Arctic/Longyearbyen
          - Europe/Amsterdam
          - Europe/Andorra
          - Europe/Belgrade
          - Europe/Berlin
          - Europe/Bratislava
          - Europe/Brussels
          - Europe/Budapest
          - Europe/Busingen
          - Europe/Copenhagen
          - Europe/Gibraltar
          - Europe/Kaliningrad
          - Europe/Ljubljana
          - Europe/Luxembourg
          - Europe/Madrid
          - Europe/Malta
          - Europe/Monaco
          - Europe/Oslo
          - Europe/Paris
          - Europe/Podgorica
          - Europe/Prague
          - Europe/Rome
          - Europe/San_Marino
          - Europe/Sarajevo
          - Europe/Skopje
          - Europe/Stockholm
          - Europe/Tirane
          - Europe/Vaduz
          - Europe/Vatican
          - Europe/Vienna
          - Europe/Warsaw
          - Europe/Zagreb
          - Europe/Zurich
          - Africa/Addis_Ababa
          - Africa/Asmara
          - Africa/Cairo
          - Africa/Dar_es_Salaam
          - Africa/Djibouti
          - Africa/Kampala
          - Africa/Mogadishu
          - Africa/Nairobi
          - Antarctica/Syowa
          - Asia/Aden
          - Asia/Amman
          - Asia/Baghdad
          - Asia/Bahrain
          - Asia/Beirut
          - Asia/Damascus
          - Asia/Famagusta
          - Asia/Gaza
          - Asia/Hebron
          - Asia/Jerusalem
          - Asia/Kuwait
          - Asia/Nicosia
          - Asia/Qatar
          - Asia/Riyadh
          - Europe/Athens
          - Europe/Bucharest
          - Europe/Chisinau
          - Europe/Helsinki
          - Europe/Istanbul
          - Europe/Kirov
          - Europe/Kyiv
          - Europe/Mariehamn
          - Europe/Minsk
          - Europe/Moscow
          - Europe/Riga
          - Europe/Simferopol
          - Europe/Sofia
          - Europe/Tallinn
          - Europe/Vilnius
          - Europe/Volgograd
          - Indian/Antananarivo
          - Indian/Comoro
          - Indian/Mayotte
          - Asia/Tehran
          - Asia/Baku
          - Asia/Dubai
          - Asia/Muscat
          - Asia/Tbilisi
          - Asia/Yerevan
          - Europe/Astrakhan
          - Europe/Samara
          - Europe/Saratov
          - Europe/Ulyanovsk
          - Indian/Mahe
          - Indian/Mauritius
          - Indian/Reunion
          - Asia/Kabul
          - Antarctica/Mawson
          - Asia/Aqtau
          - Asia/Aqtobe
          - Asia/Ashgabat
          - Asia/Atyrau
          - Asia/Dushanbe
          - Asia/Karachi
          - Asia/Oral
          - Asia/Qyzylorda
          - Asia/Samarkand
          - Asia/Tashkent
          - Asia/Yekaterinburg
          - Indian/Kerguelen
          - Indian/Maldives
          - Asia/Colombo
          - Asia/Kolkata
          - Asia/Kathmandu
          - Antarctica/Vostok
          - Asia/Almaty
          - Asia/Bishkek
          - Asia/Dhaka
          - Asia/Omsk
          - Asia/Qostanay
          - Asia/Thimphu
          - Asia/Urumqi
          - Indian/Chagos
          - Asia/Yangon
          - Indian/Cocos
          - Antarctica/Davis
          - Asia/Bangkok
          - Asia/Barnaul
          - Asia/Ho_Chi_Minh
          - Asia/Hovd
          - Asia/Jakarta
          - Asia/Krasnoyarsk
          - Asia/Novokuznetsk
          - Asia/Novosibirsk
          - Asia/Phnom_Penh
          - Asia/Pontianak
          - Asia/Tomsk
          - Asia/Vientiane
          - Indian/Christmas
          - Asia/Brunei
          - Asia/Choibalsan
          - Asia/Hong_Kong
          - Asia/Irkutsk
          - Asia/Kuala_Lumpur
          - Asia/Kuching
          - Asia/Macau
          - Asia/Makassar
          - Asia/Manila
          - Asia/Shanghai
          - Asia/Singapore
          - Asia/Taipei
          - Asia/Ulaanbaatar
          - Australia/Perth
          - Australia/Eucla
          - Asia/Chita
          - Asia/Dili
          - Asia/Jayapura
          - Asia/Khandyga
          - Asia/Pyongyang
          - Asia/Seoul
          - Asia/Tokyo
          - Asia/Yakutsk
          - Pacific/Palau
          - Australia/Adelaide
          - Australia/Broken_Hill
          - Australia/Darwin
          - Antarctica/DumontDUrville
          - Antarctica/Macquarie
          - Asia/Ust-Nera
          - Asia/Vladivostok
          - Australia/Brisbane
          - Australia/Hobart
          - Australia/Lindeman
          - Australia/Melbourne
          - Australia/Sydney
          - Pacific/Chuuk
          - Pacific/Guam
          - Pacific/Port_Moresby
          - Pacific/Saipan
          - Australia/Lord_Howe
          - Antarctica/Casey
          - Asia/Magadan
          - Asia/Sakhalin
          - Asia/Srednekolymsk
          - Pacific/Bougainville
          - Pacific/Efate
          - Pacific/Guadalcanal
          - Pacific/Kosrae
          - Pacific/Norfolk
          - Pacific/Noumea
          - Pacific/Pohnpei
          - Antarctica/McMurdo
          - Asia/Anadyr
          - Asia/Kamchatka
          - Pacific/Auckland
          - Pacific/Fiji
          - Pacific/Funafuti
          - Pacific/Kwajalein
          - Pacific/Majuro
          - Pacific/Nauru
          - Pacific/Tarawa
          - Pacific/Wake
          - Pacific/Wallis
          - Pacific/Chatham
          - Pacific/Apia
          - Pacific/Fakaofo
          - Pacific/Kanton
          - Pacific/Tongatapu
          - Pacific/Kiritimati
          type: string
          readOnly: true
    ApiErrors:
      type: object
      properties:
        errors:
          type: object
          description: Mapping fields/parameters to error(s) [could be list or string]
        inputs:
          type: object
          description: Input data (only available on dev systems for some operations)
      required:
      - errors
    ProductForView:
      type: object
      properties:
        customer_assigned_subscriptions_count:
          type: integer
          readOnly: true
        customer_unassigned_subscriptions_count:
          type: integer
          readOnly: true
        ended_subscriptions_count:
          type: integer
          readOnly: true
        is_device_subscription:
          type: boolean
          readOnly: true
        name:
          type: string
          readOnly: true
        number_of_months:
          type: integer
          readOnly: true
        product_code:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        seller_assigned_subscriptions_count:
          type: integer
          readOnly: true
        seller_unassigned_subscriptions_count:
          type: integer
          readOnly: true
        storage_quota_mb:
          type: integer
          readOnly: true
        subscriptions_count:
          type: integer
          readOnly: true
          description: Subscriptions
        subscriptions_url:
          type: string
          readOnly: true
    SellerForAdmin:
      type: object
      properties:
        seller_url:
          type: string
          readOnly: true
        seller_uuid:
          type: string
          format: uuid
          default: UUID1()
        abn:
          type: string
          readOnly: true
        contact_email:
          type: string
          format: email
          readOnly: true
        contact_email_addr:
          type: string
          format: email
          readOnly: true
        contact_name:
          type: string
          readOnly: true
        get_seller_type_display:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        seller_type:
          enum:
          - reseller
          - system_integrator
          type: string
          readOnly: true
      required:
      - seller_uuid
    SummaryReport:
      type: object
      properties:
        report_url:
          type: string
          format: uri
          description: Report URL
          pattern: "^(?:[a-z0-9.+-]*)://(?:[^\\s:@/]+(?::[^\\s:@/]*)?@)?(?:(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)(?:\\\
            .(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)){3}|\\[[0-9a-f:.]+\\\
            ]|([a-z\xA1-\uFFFF0-9](?:[a-z\xA1-\uFFFF0-9-]{0,61}[a-z\xA1-\uFFFF0-9])?(?:\\\
            .(?!-)[a-z\xA1-\uFFFF0-9-]{1,63}(?<!-))*\\.(?!-)(?:[a-z\xA1-\uFFFF-]{2,63}|xn--[a-z0-9]{1,59})(?<!-)\\\
            .?|localhost))(?::[0-9]{1,5})?(?:[/?#][^\\s]*)?\\z"
        as_at_datetime:
          type: string
          format: date-time
          description: Generated at
        description:
          type: string
          description: Description
        metadata:
          type: object
          description: Extra metadata - information may be different for each report
        header_rows:
          type: array
          items:
            type: integer
          description: row numbers (1 is first) of rows which are headers
        header_columns:
          type: array
          items:
            type: integer
          description: column numbers (1 is first) of columns which are headers
        rows:
          type: array
          items:
            type: array
            items:
              type: string
          description: Array of Report Rows (each Row is an Array of Column text)
      required:
      - report_url
      - as_at_datetime
      - description
      - metadata
      - header_rows
      - header_columns
      - rows
    SubscriptionForDistributor:
      type: object
      properties:
        subscription_url:
          type: string
          readOnly: true
        subscription_key:
          type: string
          readOnly: true
        customer_assigned_timestamp:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        distributor_assigned_timestamp:
          type: string
          format: date-time
          readOnly: true
        distributor_uuid:
          type: string
          format: uuid
          readOnly: true
        end_timestamp:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        ended_by_timestamp:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        product:
          type: object
          properties:
            is_device_subscription:
              type: boolean
              readOnly: true
            name:
              type: string
              readOnly: true
            number_of_months:
              type: integer
              readOnly: true
            product_code:
              type: string
              readOnly: true
              pattern: ^[-a-zA-Z0-9_]+$
            storage_quota_mb:
              type: integer
              readOnly: true
          readOnly: true
        seller_assigned_timestamp:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        seller_uuid:
          type: string
          format: uuid
          readOnly: true
    UserDistributorProfileForDistributorAdmin:
      type: object
      properties:
        distributor_profile_url:
          type: string
          readOnly: true
        username:
          type: string
          readOnly: true
        distributor_url:
          type: string
          readOnly: true
        distributor_uuid:
          type: string
          readOnly: true
        user_url:
          type: string
          readOnly: true
        is_distributor_admin:
          type: boolean
          default: false
    UserForDistributorAdmin:
      type: object
      properties:
        user_url:
          type: string
          readOnly: true
        username:
          type: string
          readOnly: true
          description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
        distributor_profile:
          type: object
          properties:
            distributor_profile_url:
              type: string
              readOnly: true
            is_distributor_admin:
              type: boolean
              readOnly: true
          readOnly: true
        distributor_uuid:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        is_superuser:
          type: boolean
          readOnly: true
          description: Designates that this user has all permissions without explicitly
            assigning them.
        first_name:
          type: string
          maxLength: 150
        is_active:
          type: boolean
          default: true
          description: Designates whether this user should be treated as active. Unselect
            this instead of deleting accounts.
        last_name:
          type: string
          maxLength: 150
    DistributorForDistributorAdmin:
      type: object
      properties:
        distributor_url:
          type: string
          readOnly: true
        distributor_uuid:
          type: string
          format: uuid
          readOnly: true
        abn:
          type: string
          readOnly: true
        sellers:
          type: array
          items:
            type: object
            properties:
              seller_url:
                type: string
                readOnly: true
              seller_uuid:
                type: string
                format: uuid
              abn:
                type: string
                readOnly: true
              contact_email:
                type: string
                format: email
                readOnly: true
              contact_email_addr:
                type: string
                format: email
                readOnly: true
              contact_name:
                type: string
                readOnly: true
              get_seller_type_display:
                type: string
                readOnly: true
              name:
                type: string
                readOnly: true
              seller_type:
                enum:
                - reseller
                - system_integrator
                type: string
                readOnly: true
            required:
            - seller_uuid
          readOnly: true
        subscriptions_count:
          type: integer
          readOnly: true
        subscriptions_url:
          type: string
          readOnly: true
        contact_email:
          type: string
          format: email
          maxLength: 254
        contact_name:
          type: string
          maxLength: 100
        name:
          type: string
          maxLength: 100
        timezone:
          enum:
          - Pacific/Midway
          - Pacific/Niue
          - Pacific/Pago_Pago
          - Pacific/Honolulu
          - Pacific/Rarotonga
          - Pacific/Tahiti
          - US/Hawaii
          - Pacific/Marquesas
          - America/Adak
          - Pacific/Gambier
          - America/Anchorage
          - America/Juneau
          - America/Metlakatla
          - America/Nome
          - America/Sitka
          - America/Yakutat
          - Pacific/Pitcairn
          - US/Alaska
          - America/Creston
          - America/Dawson
          - America/Dawson_Creek
          - America/Fort_Nelson
          - America/Hermosillo
          - America/Los_Angeles
          - America/Mazatlan
          - America/Phoenix
          - America/Tijuana
          - America/Vancouver
          - America/Whitehorse
          - Canada/Pacific
          - US/Arizona
          - US/Pacific
          - America/Bahia_Banderas
          - America/Belize
          - America/Boise
          - America/Cambridge_Bay
          - America/Chihuahua
          - America/Ciudad_Juarez
          - America/Costa_Rica
          - America/Denver
          - America/Edmonton
          - America/El_Salvador
          - America/Guatemala
          - America/Inuvik
          - America/Managua
          - America/Merida
          - America/Mexico_City
          - America/Monterrey
          - America/Regina
          - America/Swift_Current
          - America/Tegucigalpa
          - Canada/Mountain
          - Pacific/Easter
          - Pacific/Galapagos
          - US/Mountain
          - America/Atikokan
          - America/Bogota
          - America/Cancun
          - America/Cayman
          - America/Chicago
          - America/Eirunepe
          - America/Guayaquil
          - America/Indiana/Knox
          - America/Indiana/Tell_City
          - America/Jamaica
          - America/Lima
          - America/Matamoros
          - America/Menominee
          - America/North_Dakota/Beulah
          - America/North_Dakota/Center
          - America/North_Dakota/New_Salem
          - America/Ojinaga
          - America/Panama
          - America/Rankin_Inlet
          - America/Resolute
          - America/Rio_Branco
          - America/Winnipeg
          - Canada/Central
          - US/Central
          - America/Anguilla
          - America/Antigua
          - America/Aruba
          - America/Asuncion
          - America/Barbados
          - America/Blanc-Sablon
          - America/Boa_Vista
          - America/Campo_Grande
          - America/Caracas
          - America/Cuiaba
          - America/Curacao
          - America/Detroit
          - America/Dominica
          - America/Grand_Turk
          - America/Grenada
          - America/Guadeloupe
          - America/Guyana
          - America/Havana
          - America/Indiana/Indianapolis
          - America/Indiana/Marengo
          - America/Indiana/Petersburg
          - America/Indiana/Vevay
          - America/Indiana/Vincennes
          - America/Indiana/Winamac
          - America/Iqaluit
          - America/Kentucky/Louisville
          - America/Kentucky/Monticello
          - America/Kralendijk
          - America/La_Paz
          - America/Lower_Princes
          - America/Manaus
          - America/Marigot
          - America/Martinique
          - America/Montserrat
          - America/Nassau
          - America/New_York
          - America/Port-au-Prince
          - America/Port_of_Spain
          - America/Porto_Velho
          - America/Puerto_Rico
          - America/Santiago
          - America/Santo_Domingo
          - America/St_Barthelemy
          - America/St_Kitts
          - America/St_Lucia
          - America/St_Thomas
          - America/St_Vincent
          - America/Toronto
          - America/Tortola
          - Canada/Eastern
          - US/Eastern
          - America/Araguaina
          - America/Argentina/Buenos_Aires
          - America/Argentina/Catamarca
          - America/Argentina/Cordoba
          - America/Argentina/Jujuy
          - America/Argentina/La_Rioja
          - America/Argentina/Mendoza
          - America/Argentina/Rio_Gallegos
          - America/Argentina/Salta
          - America/Argentina/San_Juan
          - America/Argentina/San_Luis
          - America/Argentina/Tucuman
          - America/Argentina/Ushuaia
          - America/Bahia
          - America/Belem
          - America/Cayenne
          - America/Fortaleza
          - America/Glace_Bay
          - America/Goose_Bay
          - America/Halifax
          - America/Maceio
          - America/Moncton
          - America/Montevideo
          - America/Paramaribo
          - America/Punta_Arenas
          - America/Recife
          - America/Santarem
          - America/Sao_Paulo
          - America/Thule
          - Antarctica/Palmer
          - Antarctica/Rothera
          - Atlantic/Bermuda
          - Atlantic/Stanley
          - Canada/Atlantic
          - America/St_Johns
          - Canada/Newfoundland
          - America/Miquelon
          - America/Noronha
          - America/Nuuk
          - Atlantic/South_Georgia
          - Atlantic/Cape_Verde
          - Africa/Abidjan
          - Africa/Accra
          - Africa/Bamako
          - Africa/Banjul
          - Africa/Bissau
          - Africa/Conakry
          - Africa/Dakar
          - Africa/Freetown
          - Africa/Lome
          - Africa/Monrovia
          - Africa/Nouakchott
          - Africa/Ouagadougou
          - Africa/Sao_Tome
          - America/Danmarkshavn
          - America/Scoresbysund
          - Atlantic/Azores
          - Atlantic/Reykjavik
          - Atlantic/St_Helena
          - GMT
          - UTC
          - Africa/Algiers
          - Africa/Bangui
          - Africa/Brazzaville
          - Africa/Casablanca
          - Africa/Douala
          - Africa/El_Aaiun
          - Africa/Kinshasa
          - Africa/Lagos
          - Africa/Libreville
          - Africa/Luanda
          - Africa/Malabo
          - Africa/Ndjamena
          - Africa/Niamey
          - Africa/Porto-Novo
          - Africa/Tunis
          - Atlantic/Canary
          - Atlantic/Faroe
          - Atlantic/Madeira
          - Europe/Dublin
          - Europe/Guernsey
          - Europe/Isle_of_Man
          - Europe/Jersey
          - Europe/Lisbon
          - Europe/London
          - Africa/Blantyre
          - Africa/Bujumbura
          - Africa/Ceuta
          - Africa/Gaborone
          - Africa/Harare
          - Africa/Johannesburg
          - Africa/Juba
          - Africa/Khartoum
          - Africa/Kigali
          - Africa/Lubumbashi
          - Africa/Lusaka
          - Africa/Maputo
          - Africa/Maseru
          - Africa/Mbabane
          - Africa/Tripoli
          - Africa/Windhoek
          - Antarctica/Troll
          - Arctic/Longyearbyen
          - Europe/Amsterdam
          - Europe/Andorra
          - Europe/Belgrade
          - Europe/Berlin
          - Europe/Bratislava
          - Europe/Brussels
          - Europe/Budapest
          - Europe/Busingen
          - Europe/Copenhagen
          - Europe/Gibraltar
          - Europe/Kaliningrad
          - Europe/Ljubljana
          - Europe/Luxembourg
          - Europe/Madrid
          - Europe/Malta
          - Europe/Monaco
          - Europe/Oslo
          - Europe/Paris
          - Europe/Podgorica
          - Europe/Prague
          - Europe/Rome
          - Europe/San_Marino
          - Europe/Sarajevo
          - Europe/Skopje
          - Europe/Stockholm
          - Europe/Tirane
          - Europe/Vaduz
          - Europe/Vatican
          - Europe/Vienna
          - Europe/Warsaw
          - Europe/Zagreb
          - Europe/Zurich
          - Africa/Addis_Ababa
          - Africa/Asmara
          - Africa/Cairo
          - Africa/Dar_es_Salaam
          - Africa/Djibouti
          - Africa/Kampala
          - Africa/Mogadishu
          - Africa/Nairobi
          - Antarctica/Syowa
          - Asia/Aden
          - Asia/Amman
          - Asia/Baghdad
          - Asia/Bahrain
          - Asia/Beirut
          - Asia/Damascus
          - Asia/Famagusta
          - Asia/Gaza
          - Asia/Hebron
          - Asia/Jerusalem
          - Asia/Kuwait
          - Asia/Nicosia
          - Asia/Qatar
          - Asia/Riyadh
          - Europe/Athens
          - Europe/Bucharest
          - Europe/Chisinau
          - Europe/Helsinki
          - Europe/Istanbul
          - Europe/Kirov
          - Europe/Kyiv
          - Europe/Mariehamn
          - Europe/Minsk
          - Europe/Moscow
          - Europe/Riga
          - Europe/Simferopol
          - Europe/Sofia
          - Europe/Tallinn
          - Europe/Vilnius
          - Europe/Volgograd
          - Indian/Antananarivo
          - Indian/Comoro
          - Indian/Mayotte
          - Asia/Tehran
          - Asia/Baku
          - Asia/Dubai
          - Asia/Muscat
          - Asia/Tbilisi
          - Asia/Yerevan
          - Europe/Astrakhan
          - Europe/Samara
          - Europe/Saratov
          - Europe/Ulyanovsk
          - Indian/Mahe
          - Indian/Mauritius
          - Indian/Reunion
          - Asia/Kabul
          - Antarctica/Mawson
          - Asia/Aqtau
          - Asia/Aqtobe
          - Asia/Ashgabat
          - Asia/Atyrau
          - Asia/Dushanbe
          - Asia/Karachi
          - Asia/Oral
          - Asia/Qyzylorda
          - Asia/Samarkand
          - Asia/Tashkent
          - Asia/Yekaterinburg
          - Indian/Kerguelen
          - Indian/Maldives
          - Asia/Colombo
          - Asia/Kolkata
          - Asia/Kathmandu
          - Antarctica/Vostok
          - Asia/Almaty
          - Asia/Bishkek
          - Asia/Dhaka
          - Asia/Omsk
          - Asia/Qostanay
          - Asia/Thimphu
          - Asia/Urumqi
          - Indian/Chagos
          - Asia/Yangon
          - Indian/Cocos
          - Antarctica/Davis
          - Asia/Bangkok
          - Asia/Barnaul
          - Asia/Ho_Chi_Minh
          - Asia/Hovd
          - Asia/Jakarta
          - Asia/Krasnoyarsk
          - Asia/Novokuznetsk
          - Asia/Novosibirsk
          - Asia/Phnom_Penh
          - Asia/Pontianak
          - Asia/Tomsk
          - Asia/Vientiane
          - Indian/Christmas
          - Asia/Brunei
          - Asia/Choibalsan
          - Asia/Hong_Kong
          - Asia/Irkutsk
          - Asia/Kuala_Lumpur
          - Asia/Kuching
          - Asia/Macau
          - Asia/Makassar
          - Asia/Manila
          - Asia/Shanghai
          - Asia/Singapore
          - Asia/Taipei
          - Asia/Ulaanbaatar
          - Australia/Perth
          - Australia/Eucla
          - Asia/Chita
          - Asia/Dili
          - Asia/Jayapura
          - Asia/Khandyga
          - Asia/Pyongyang
          - Asia/Seoul
          - Asia/Tokyo
          - Asia/Yakutsk
          - Pacific/Palau
          - Australia/Adelaide
          - Australia/Broken_Hill
          - Australia/Darwin
          - Antarctica/DumontDUrville
          - Antarctica/Macquarie
          - Asia/Ust-Nera
          - Asia/Vladivostok
          - Australia/Brisbane
          - Australia/Hobart
          - Australia/Lindeman
          - Australia/Melbourne
          - Australia/Sydney
          - Pacific/Chuuk
          - Pacific/Guam
          - Pacific/Port_Moresby
          - Pacific/Saipan
          - Australia/Lord_Howe
          - Antarctica/Casey
          - Asia/Magadan
          - Asia/Sakhalin
          - Asia/Srednekolymsk
          - Pacific/Bougainville
          - Pacific/Efate
          - Pacific/Guadalcanal
          - Pacific/Kosrae
          - Pacific/Norfolk
          - Pacific/Noumea
          - Pacific/Pohnpei
          - Antarctica/McMurdo
          - Asia/Anadyr
          - Asia/Kamchatka
          - Pacific/Auckland
          - Pacific/Fiji
          - Pacific/Funafuti
          - Pacific/Kwajalein
          - Pacific/Majuro
          - Pacific/Nauru
          - Pacific/Tarawa
          - Pacific/Wake
          - Pacific/Wallis
          - Pacific/Chatham
          - Pacific/Apia
          - Pacific/Fakaofo
          - Pacific/Kanton
          - Pacific/Tongatapu
          - Pacific/Kiritimati
          type: string
      required:
      - contact_email
      - name
      - timezone
    DistributorActionAvailableReportSubscriptions:
      type: object
      properties:
        distributor_uuid:
          type: string
          format: uuid
          readOnly: true
        available_reports:
          type: array
          items:
            type: object
            properties:
              year:
                type: integer
              month:
                type: integer
              filename:
                type: string
            required:
            - year
            - month
            - filename
          readOnly: true
        subscriptions_count:
          type: integer
          readOnly: true
    UserApiDataForUserSelf:
      type: object
      properties:
        my_api_data_url:
          type: string
          readOnly: true
        api_data_uuid:
          type: string
          format: uuid
          readOnly: true
        created:
          type: string
          format: date-time
          readOnly: true
        modified:
          type: string
          format: date-time
          readOnly: true
        username:
          type: string
          readOnly: true
        json:
          type: object
          default: {}
        key:
          type: string
          pattern: ^[-a-zA-Z0-9_]+\z
          minLength: 1
          maxLength: 100
      required:
      - json
      - key
    UserForUserSelf:
      type: object
      properties:
        my_user_url:
          type: string
          readOnly: true
        username:
          type: string
          readOnly: true
          description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
        api_data:
          type: array
          items:
            type: object
            properties:
              my_api_data_url:
                type: string
                readOnly: true
              api_data_uuid:
                type: string
                format: uuid
                readOnly: true
              created:
                type: string
                format: date-time
                readOnly: true
              modified:
                type: string
                format: date-time
                readOnly: true
              username:
                type: string
                readOnly: true
              json:
                type: object
              key:
                type: string
                pattern: ^[-a-zA-Z0-9_]+\z
                minLength: 1
                maxLength: 100
            required:
            - json
            - key
          readOnly: true
        customer_profile:
          type: object
          properties:
            is_customer_admin:
              type: boolean
              readOnly: true
          readOnly: true
        customer_url:
          type: string
          readOnly: true
        customer_uuid:
          type: string
          format: uuid
          readOnly: true
        distributor_profile:
          type: object
          properties:
            is_distributor_admin:
              type: boolean
              readOnly: true
          readOnly: true
        distributor_url:
          type: string
          readOnly: true
        distributor_uuid:
          type: string
          format: uuid
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        is_active:
          type: boolean
          readOnly: true
          description: Designates whether this user should be treated as active. Unselect
            this instead of deleting accounts.
        is_superuser:
          type: boolean
          readOnly: true
          description: Designates that this user has all permissions without explicitly
            assigning them.
        my_api_data_url:
          type: string
          readOnly: true
        seller_profile:
          type: object
          properties:
            is_seller_admin:
              type: boolean
              readOnly: true
          readOnly: true
        seller_url:
          type: string
          readOnly: true
        seller_uuid:
          type: string
          format: uuid
          readOnly: true
        tz:
          enum:
          - Pacific/Midway
          - Pacific/Niue
          - Pacific/Pago_Pago
          - Pacific/Honolulu
          - Pacific/Rarotonga
          - Pacific/Tahiti
          - US/Hawaii
          - Pacific/Marquesas
          - America/Adak
          - Pacific/Gambier
          - America/Anchorage
          - America/Juneau
          - America/Metlakatla
          - America/Nome
          - America/Sitka
          - America/Yakutat
          - Pacific/Pitcairn
          - US/Alaska
          - America/Creston
          - America/Dawson
          - America/Dawson_Creek
          - America/Fort_Nelson
          - America/Hermosillo
          - America/Los_Angeles
          - America/Mazatlan
          - America/Phoenix
          - America/Tijuana
          - America/Vancouver
          - America/Whitehorse
          - Canada/Pacific
          - US/Arizona
          - US/Pacific
          - America/Bahia_Banderas
          - America/Belize
          - America/Boise
          - America/Cambridge_Bay
          - America/Chihuahua
          - America/Ciudad_Juarez
          - America/Costa_Rica
          - America/Denver
          - America/Edmonton
          - America/El_Salvador
          - America/Guatemala
          - America/Inuvik
          - America/Managua
          - America/Merida
          - America/Mexico_City
          - America/Monterrey
          - America/Regina
          - America/Swift_Current
          - America/Tegucigalpa
          - Canada/Mountain
          - Pacific/Easter
          - Pacific/Galapagos
          - US/Mountain
          - America/Atikokan
          - America/Bogota
          - America/Cancun
          - America/Cayman
          - America/Chicago
          - America/Eirunepe
          - America/Guayaquil
          - America/Indiana/Knox
          - America/Indiana/Tell_City
          - America/Jamaica
          - America/Lima
          - America/Matamoros
          - America/Menominee
          - America/North_Dakota/Beulah
          - America/North_Dakota/Center
          - America/North_Dakota/New_Salem
          - America/Ojinaga
          - America/Panama
          - America/Rankin_Inlet
          - America/Resolute
          - America/Rio_Branco
          - America/Winnipeg
          - Canada/Central
          - US/Central
          - America/Anguilla
          - America/Antigua
          - America/Aruba
          - America/Asuncion
          - America/Barbados
          - America/Blanc-Sablon
          - America/Boa_Vista
          - America/Campo_Grande
          - America/Caracas
          - America/Cuiaba
          - America/Curacao
          - America/Detroit
          - America/Dominica
          - America/Grand_Turk
          - America/Grenada
          - America/Guadeloupe
          - America/Guyana
          - America/Havana
          - America/Indiana/Indianapolis
          - America/Indiana/Marengo
          - America/Indiana/Petersburg
          - America/Indiana/Vevay
          - America/Indiana/Vincennes
          - America/Indiana/Winamac
          - America/Iqaluit
          - America/Kentucky/Louisville
          - America/Kentucky/Monticello
          - America/Kralendijk
          - America/La_Paz
          - America/Lower_Princes
          - America/Manaus
          - America/Marigot
          - America/Martinique
          - America/Montserrat
          - America/Nassau
          - America/New_York
          - America/Port-au-Prince
          - America/Port_of_Spain
          - America/Porto_Velho
          - America/Puerto_Rico
          - America/Santiago
          - America/Santo_Domingo
          - America/St_Barthelemy
          - America/St_Kitts
          - America/St_Lucia
          - America/St_Thomas
          - America/St_Vincent
          - America/Toronto
          - America/Tortola
          - Canada/Eastern
          - US/Eastern
          - America/Araguaina
          - America/Argentina/Buenos_Aires
          - America/Argentina/Catamarca
          - America/Argentina/Cordoba
          - America/Argentina/Jujuy
          - America/Argentina/La_Rioja
          - America/Argentina/Mendoza
          - America/Argentina/Rio_Gallegos
          - America/Argentina/Salta
          - America/Argentina/San_Juan
          - America/Argentina/San_Luis
          - America/Argentina/Tucuman
          - America/Argentina/Ushuaia
          - America/Bahia
          - America/Belem
          - America/Cayenne
          - America/Fortaleza
          - America/Glace_Bay
          - America/Goose_Bay
          - America/Halifax
          - America/Maceio
          - America/Moncton
          - America/Montevideo
          - America/Paramaribo
          - America/Punta_Arenas
          - America/Recife
          - America/Santarem
          - America/Sao_Paulo
          - America/Thule
          - Antarctica/Palmer
          - Antarctica/Rothera
          - Atlantic/Bermuda
          - Atlantic/Stanley
          - Canada/Atlantic
          - America/St_Johns
          - Canada/Newfoundland
          - America/Miquelon
          - America/Noronha
          - America/Nuuk
          - Atlantic/South_Georgia
          - Atlantic/Cape_Verde
          - Africa/Abidjan
          - Africa/Accra
          - Africa/Bamako
          - Africa/Banjul
          - Africa/Bissau
          - Africa/Conakry
          - Africa/Dakar
          - Africa/Freetown
          - Africa/Lome
          - Africa/Monrovia
          - Africa/Nouakchott
          - Africa/Ouagadougou
          - Africa/Sao_Tome
          - America/Danmarkshavn
          - America/Scoresbysund
          - Atlantic/Azores
          - Atlantic/Reykjavik
          - Atlantic/St_Helena
          - GMT
          - UTC
          - Africa/Algiers
          - Africa/Bangui
          - Africa/Brazzaville
          - Africa/Casablanca
          - Africa/Douala
          - Africa/El_Aaiun
          - Africa/Kinshasa
          - Africa/Lagos
          - Africa/Libreville
          - Africa/Luanda
          - Africa/Malabo
          - Africa/Ndjamena
          - Africa/Niamey
          - Africa/Porto-Novo
          - Africa/Tunis
          - Atlantic/Canary
          - Atlantic/Faroe
          - Atlantic/Madeira
          - Europe/Dublin
          - Europe/Guernsey
          - Europe/Isle_of_Man
          - Europe/Jersey
          - Europe/Lisbon
          - Europe/London
          - Africa/Blantyre
          - Africa/Bujumbura
          - Africa/Ceuta
          - Africa/Gaborone
          - Africa/Harare
          - Africa/Johannesburg
          - Africa/Juba
          - Africa/Khartoum
          - Africa/Kigali
          - Africa/Lubumbashi
          - Africa/Lusaka
          - Africa/Maputo
          - Africa/Maseru
          - Africa/Mbabane
          - Africa/Tripoli
          - Africa/Windhoek
          - Antarctica/Troll
          - Arctic/Longyearbyen
          - Europe/Amsterdam
          - Europe/Andorra
          - Europe/Belgrade
          - Europe/Berlin
          - Europe/Bratislava
          - Europe/Brussels
          - Europe/Budapest
          - Europe/Busingen
          - Europe/Copenhagen
          - Europe/Gibraltar
          - Europe/Kaliningrad
          - Europe/Ljubljana
          - Europe/Luxembourg
          - Europe/Madrid
          - Europe/Malta
          - Europe/Monaco
          - Europe/Oslo
          - Europe/Paris
          - Europe/Podgorica
          - Europe/Prague
          - Europe/Rome
          - Europe/San_Marino
          - Europe/Sarajevo
          - Europe/Skopje
          - Europe/Stockholm
          - Europe/Tirane
          - Europe/Vaduz
          - Europe/Vatican
          - Europe/Vienna
          - Europe/Warsaw
          - Europe/Zagreb
          - Europe/Zurich
          - Africa/Addis_Ababa
          - Africa/Asmara
          - Africa/Cairo
          - Africa/Dar_es_Salaam
          - Africa/Djibouti
          - Africa/Kampala
          - Africa/Mogadishu
          - Africa/Nairobi
          - Antarctica/Syowa
          - Asia/Aden
          - Asia/Amman
          - Asia/Baghdad
          - Asia/Bahrain
          - Asia/Beirut
          - Asia/Damascus
          - Asia/Famagusta
          - Asia/Gaza
          - Asia/Hebron
          - Asia/Jerusalem
          - Asia/Kuwait
          - Asia/Nicosia
          - Asia/Qatar
          - Asia/Riyadh
          - Europe/Athens
          - Europe/Bucharest
          - Europe/Chisinau
          - Europe/Helsinki
          - Europe/Istanbul
          - Europe/Kirov
          - Europe/Kyiv
          - Europe/Mariehamn
          - Europe/Minsk
          - Europe/Moscow
          - Europe/Riga
          - Europe/Simferopol
          - Europe/Sofia
          - Europe/Tallinn
          - Europe/Vilnius
          - Europe/Volgograd
          - Indian/Antananarivo
          - Indian/Comoro
          - Indian/Mayotte
          - Asia/Tehran
          - Asia/Baku
          - Asia/Dubai
          - Asia/Muscat
          - Asia/Tbilisi
          - Asia/Yerevan
          - Europe/Astrakhan
          - Europe/Samara
          - Europe/Saratov
          - Europe/Ulyanovsk
          - Indian/Mahe
          - Indian/Mauritius
          - Indian/Reunion
          - Asia/Kabul
          - Antarctica/Mawson
          - Asia/Aqtau
          - Asia/Aqtobe
          - Asia/Ashgabat
          - Asia/Atyrau
          - Asia/Dushanbe
          - Asia/Karachi
          - Asia/Oral
          - Asia/Qyzylorda
          - Asia/Samarkand
          - Asia/Tashkent
          - Asia/Yekaterinburg
          - Indian/Kerguelen
          - Indian/Maldives
          - Asia/Colombo
          - Asia/Kolkata
          - Asia/Kathmandu
          - Antarctica/Vostok
          - Asia/Almaty
          - Asia/Bishkek
          - Asia/Dhaka
          - Asia/Omsk
          - Asia/Qostanay
          - Asia/Thimphu
          - Asia/Urumqi
          - Indian/Chagos
          - Asia/Yangon
          - Indian/Cocos
          - Antarctica/Davis
          - Asia/Bangkok
          - Asia/Barnaul
          - Asia/Ho_Chi_Minh
          - Asia/Hovd
          - Asia/Jakarta
          - Asia/Krasnoyarsk
          - Asia/Novokuznetsk
          - Asia/Novosibirsk
          - Asia/Phnom_Penh
          - Asia/Pontianak
          - Asia/Tomsk
          - Asia/Vientiane
          - Indian/Christmas
          - Asia/Brunei
          - Asia/Choibalsan
          - Asia/Hong_Kong
          - Asia/Irkutsk
          - Asia/Kuala_Lumpur
          - Asia/Kuching
          - Asia/Macau
          - Asia/Makassar
          - Asia/Manila
          - Asia/Shanghai
          - Asia/Singapore
          - Asia/Taipei
          - Asia/Ulaanbaatar
          - Australia/Perth
          - Australia/Eucla
          - Asia/Chita
          - Asia/Dili
          - Asia/Jayapura
          - Asia/Khandyga
          - Asia/Pyongyang
          - Asia/Seoul
          - Asia/Tokyo
          - Asia/Yakutsk
          - Pacific/Palau
          - Australia/Adelaide
          - Australia/Broken_Hill
          - Australia/Darwin
          - Antarctica/DumontDUrville
          - Antarctica/Macquarie
          - Asia/Ust-Nera
          - Asia/Vladivostok
          - Australia/Brisbane
          - Australia/Hobart
          - Australia/Lindeman
          - Australia/Melbourne
          - Australia/Sydney
          - Pacific/Chuuk
          - Pacific/Guam
          - Pacific/Port_Moresby
          - Pacific/Saipan
          - Australia/Lord_Howe
          - Antarctica/Casey
          - Asia/Magadan
          - Asia/Sakhalin
          - Asia/Srednekolymsk
          - Pacific/Bougainville
          - Pacific/Efate
          - Pacific/Guadalcanal
          - Pacific/Kosrae
          - Pacific/Norfolk
          - Pacific/Noumea
          - Pacific/Pohnpei
          - Antarctica/McMurdo
          - Asia/Anadyr
          - Asia/Kamchatka
          - Pacific/Auckland
          - Pacific/Fiji
          - Pacific/Funafuti
          - Pacific/Kwajalein
          - Pacific/Majuro
          - Pacific/Nauru
          - Pacific/Tarawa
          - Pacific/Wake
          - Pacific/Wallis
          - Pacific/Chatham
          - Pacific/Apia
          - Pacific/Fakaofo
          - Pacific/Kanton
          - Pacific/Tongatapu
          - Pacific/Kiritimati
          type: string
          readOnly: true
        first_name:
          type: string
          maxLength: 150
        last_name:
          type: string
          maxLength: 150
    UserActionChangePasswordGet:
      type: object
      properties:
        public_rsa_key:
          type: string
          readOnly: true
          description: RSA Public Key for encrypting passwords
    UserForDistributorAdminCreate:
      type: object
      properties:
        user_url:
          type: string
          readOnly: true
        username:
          type: string
          readOnly: true
          description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
        is_active:
          type: boolean
          readOnly: true
          description: Designates whether this user should be treated as active. Unselect
            this instead of deleting accounts.
        is_superuser:
          type: boolean
          readOnly: true
          description: Designates that this user has all permissions without explicitly
            assigning them.
        distributor_profile:
          type: object
          properties:
            distributor_profile_url:
              type: string
              readOnly: true
            distributor_url:
              type: string
              readOnly: true
            distributor_uuid:
              type: string
              format: uuid
            is_distributor_admin:
              type: boolean
          required:
          - distributor_uuid
        email:
          type: string
          format: email
          maxLength: 254
          minLength: 3
        first_name:
          type: string
          maxLength: 150
          minLength: 1
        last_name:
          type: string
          maxLength: 150
          minLength: 1
      required:
      - distributor_profile
      - email
      - first_name
      - last_name
    SubscriptionActionDistributorAssignSubscriptions:
      type: object
      properties:
        seller:
          type: object
          properties:
            seller_uuid:
              type: string
              format: uuid
          required:
          - seller_uuid
        product:
          type: object
          properties:
            product_code:
              type: string
              pattern: ^[-a-zA-Z0-9_]+$
            product_url:
              type: string
              readOnly: true
          required:
          - product_code
        subscription_count:
          type: integer
          maximum: 100
          minimum: 1
          description: Number of product Subscriptions to assign
        subscriptions:
          type: array
          items:
            type: object
            properties:
              subscription_key:
                type: string
              subscription_url:
                type: string
                readOnly: true
              action:
                type: object
                properties:
                  at:
                    type: string
                    format: date-time
                    readOnly: true
                  msg:
                    type: string
                    readOnly: true
                readOnly: true
              customer_assigned_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              end_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              ended_by_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              product:
                type: object
                properties:
                  is_device_subscription:
                    type: boolean
                    readOnly: true
                  name:
                    type: string
                    readOnly: true
                  number_of_months:
                    type: integer
                    readOnly: true
                  product_code:
                    type: string
                    readOnly: true
                    pattern: ^[-a-zA-Z0-9_]+$
                  storage_quota_mb:
                    type: integer
                    readOnly: true
                readOnly: true
              seller_assigned_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
            required:
            - subscription_key
          readOnly: true
      required:
      - seller
      - product
      - subscription_count
    SellerForDistributorCreateSeller:
      type: object
      properties:
        abn:
          type: string
          pattern: ^\d{11}$
          maxLength: 11
        contact_email:
          type: string
          format: email
          maxLength: 254
        contact_name:
          type: string
          maxLength: 100
        name:
          type: string
          maxLength: 100
        seller_type:
          enum:
          - reseller
          - system_integrator
          type: string
        seller:
          type: object
          properties:
            seller_url:
              type: string
              readOnly: true
            seller_uuid:
              type: string
              format: uuid
            abn:
              type: string
              readOnly: true
            contact_email:
              type: string
              format: email
              readOnly: true
            contact_email_addr:
              type: string
              format: email
              readOnly: true
            contact_name:
              type: string
              readOnly: true
            get_seller_type_display:
              type: string
              readOnly: true
            name:
              type: string
              readOnly: true
            seller_type:
              enum:
              - reseller
              - system_integrator
              type: string
              readOnly: true
          required:
          - seller_uuid
          readOnly: true
      required:
      - abn
      - contact_email
      - contact_name
      - name
    SubscriptionActionDistributorCreateSubscriptions:
      type: object
      properties:
        seller:
          type: object
          properties:
            seller_uuid:
              type: string
              format: uuid
          required:
          - seller_uuid
        product:
          type: object
          properties:
            product_code:
              type: string
              pattern: ^[-a-zA-Z0-9_]+$
            product_url:
              type: string
              readOnly: true
          required:
          - product_code
        subscription_count:
          type: integer
          maximum: 100
          minimum: 1
          description: Number of product Subscriptions to create
        subscriptions:
          type: array
          items:
            type: object
            properties:
              subscription_key:
                type: string
              subscription_url:
                type: string
                readOnly: true
              action:
                type: object
                properties:
                  at:
                    type: string
                    format: date-time
                    readOnly: true
                  msg:
                    type: string
                    readOnly: true
                readOnly: true
              customer_assigned_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              end_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              ended_by_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              product:
                type: object
                properties:
                  is_device_subscription:
                    type: boolean
                    readOnly: true
                  name:
                    type: string
                    readOnly: true
                  number_of_months:
                    type: integer
                    readOnly: true
                  product_code:
                    type: string
                    readOnly: true
                    pattern: ^[-a-zA-Z0-9_]+$
                  storage_quota_mb:
                    type: integer
                    readOnly: true
                readOnly: true
              seller_assigned_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
            required:
            - subscription_key
          readOnly: true
      required:
      - product
      - subscription_count
    SubscriptionActionEndSubscriptions:
      type: object
      properties:
        subscriptions:
          type: array
          items:
            type: object
            properties:
              subscription_key:
                type: string
              subscription_url:
                type: string
                readOnly: true
              action:
                type: object
                properties:
                  at:
                    type: string
                    format: date-time
                    readOnly: true
                  msg:
                    type: string
                    readOnly: true
                readOnly: true
              customer_assigned_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              end_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              ended_by_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              product:
                type: object
                properties:
                  is_device_subscription:
                    type: boolean
                    readOnly: true
                  name:
                    type: string
                    readOnly: true
                  number_of_months:
                    type: integer
                    readOnly: true
                  product_code:
                    type: string
                    readOnly: true
                    pattern: ^[-a-zA-Z0-9_]+$
                  storage_quota_mb:
                    type: integer
                    readOnly: true
                readOnly: true
              seller_assigned_timestamp:
                type: string
                format: date-time
                readOnly: true
                nullable: true
            required:
            - subscription_key
      required:
      - subscriptions
    UserActionChangePassword:
      type: object
      properties:
        user_url:
          type: string
          readOnly: true
        username:
          type: string
          readOnly: true
          description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
        new_enc_password:
          type: string
          description: base64 encoded RSA-OAEP (md sha512 mgf1 sha1) utf-8 binary
            NEW password
        old_enc_password:
          type: string
          description: base64 encoded RSA-OAEP (md sha512 mgf1 sha1) utf-8 binary
            OLD password
      required:
      - new_enc_password
      - old_enc_password
